/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel5.ad;

/**
 * Konstanten aus ADSI -- (Listing 5_1).
 * 
 * @author Stefan Z&ouml;rner
 */
public interface AdsUserFlags {
  int ADS_UF_SCRIPT = 0X0001;
  int ADS_UF_ACCOUNTDISABLE = 0X0002;
  int ADS_UF_HOMEDIR_REQUIRED = 0X0008;
  int ADS_UF_LOCKOUT = 0X0010;
  int ADS_UF_PASSWD_NOTREQD = 0X0020;
  int ADS_UF_PASSWD_CANT_CHANGE = 0X0040;
  int ADS_UF_ENCRYPTED_TEXT_PASSWORD_ALLOWED = 0X0080;
  int ADS_UF_TEMP_DUPLICATE_ACCOUNT = 0X0100;
  int ADS_UF_NORMAL_ACCOUNT = 0X0200;
  int ADS_UF_INTERDOMAIN_TRUST_ACCOUNT = 0X0800;
  int ADS_UF_WORKSTATION_TRUST_ACCOUNT = 0X1000;
  int ADS_UF_SERVER_TRUST_ACCOUNT = 0X2000;
  int ADS_UF_DONT_EXPIRE_PASSWD = 0X10000;
  int ADS_UF_MNS_LOGON_ACCOUNT = 0X20000;
  int ADS_UF_SMARTCARD_REQUIRED = 0X40000;
  int ADS_UF_TRUSTED_FOR_DELEGATION = 0X80000;
  int ADS_UF_NOT_DELEGATED = 0X100000;
  int ADS_UF_USE_DES_KEY_ONLY = 0x200000;
  int ADS_UF_DONT_REQUIRE_PREAUTH = 0x400000;
  int ADS_UF_PASSWORD_EXPIRED = 0x800000;
  int ADS_UF_TRUSTED_TO_AUTHENTICATE_FOR_DELEGATION = 0x1000000;
}
